=== examples/network/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(NOT TARGET Qt6::Network)
    return()
endif()
if(NOT INTEGRITY AND NOT ANDROID)
    qt_internal_add_example(dnslookup)
endif()
if(TARGET Qt6::Widgets)
    qt_internal_add_example(blockingfortuneclient)
    qt_internal_add_example(broadcastreceiver)
    qt_internal_add_example(broadcastsender)
    qt_internal_add_example(http)
    qt_internal_add_example(threadedfortuneserver)
    qt_internal_add_example(torrent)
    qt_internal_add_example(multicastreceiver)
    qt_internal_add_example(multicastsender)
    qt_internal_add_example(fortuneclient)
    qt_internal_add_example(fortuneserver)
    qt_internal_add_example(rsslisting)
endif()
if(QT_FEATURE_processenvironment AND TARGET Qt6::Widgets)
    qt_internal_add_example(network-chat)
endif()
if(QT_FEATURE_ssl AND TARGET Qt6::Widgets)
    qt_internal_add_example(securesocketclient)
endif()
if(QT_FEATURE_dtls AND TARGET Qt6::Widgets)
    qt_internal_add_example(secureudpserver)
    qt_internal_add_example(secureudpclient)
endif()
if(QT_FEATURE_sctp AND TARGET Qt6::Widgets)
    qt_internal_add_example(multistreamserver)
    qt_internal_add_example(multistreamclient)
endif()
