=== src/plugins/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(TARGET Qt::Sql)
    add_subdirectory(sqldrivers)
endif()
if(TARGET Qt::Gui)
    add_subdirectory(platforms)
    add_subdirectory(platforminputcontexts)
    add_subdirectory(platformthemes)
endif()
if(QT_FEATURE_imageformatplugin AND TARGET Qt::Gui)
    add_subdirectory(imageformats)
endif()
if(QT_FEATURE_library AND TARGET Qt::Gui AND NOT ANDROID)
    add_subdirectory(generic)
endif()
if(TARGET Qt::Widgets)
    add_subdirectory(styles)
endif()
if(TARGET Qt::PrintSupport)
    add_subdirectory(printsupport)
endif()
if (TARGET Qt::Network)
    add_subdirectory(networkinformation)
    add_subdirectory(tls)
endif()
if (QT_FEATURE_ctf AND QT_FEATURE_library)
    add_subdirectory(tracing)
endif()
